View Issue Details

IDProjectCategoryView StatusLast Update
0004057GNUnetutil librarypublic2019-02-28 11:17
ReporterChristian GrothoffAssigned Tolurchi 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0004057: getaddrinfo_a should be used in gnunet-service-resolver
DescriptionJust to gain some experience with the libc asynchronous resolution API, and to make DNS lookups done by GNUnet faster, we should use getaddrinfo_a in gnunet-service-resolver (if offered by the platform).
TagsNo tags attached.

Relationships

related to 0003388 closedlurchi gnunet-resolver DNS lookup is slow 

Activities

Christian Grothoff

2015-11-19 16:03

manager   ~0009927

Relevant link:
  http://lwn.net/SubscriberLink/664776/0a864c7d36d8479f/

lurchi

2018-06-29 01:54

developer   ~0013110

The resolver service now supports asynchronous DNS lookups (forward and reverse).

It turned out that libc has no asynchronous API for doing reverse lookups, so we used the DNSSTUB and DNSPARSER libraries instead.

See commit e7e14740d619777613734cec9400c33cfd30fc3d.

Issue History

Date Modified Username Field Change
2015-11-16 13:46 Christian Grothoff New Issue
2015-11-16 13:46 Christian Grothoff Status new => assigned
2015-11-16 13:46 Christian Grothoff Assigned To => Jeff Burdges
2015-11-19 16:03 Christian Grothoff Note Added: 0009927
2018-06-07 01:22 Christian Grothoff Assigned To Jeff Burdges =>
2018-06-07 01:22 Christian Grothoff Status assigned => confirmed
2018-06-07 01:22 Christian Grothoff Target Version => 0.11.0
2018-06-07 23:37 Christian Grothoff Relationship added related to 0003388
2018-06-23 15:08 lurchi Assigned To => lurchi
2018-06-23 15:08 lurchi Status confirmed => assigned
2018-06-29 01:54 lurchi Status assigned => resolved
2018-06-29 01:54 lurchi Resolution open => fixed
2018-06-29 01:54 lurchi Fixed in Version => 0.11.0
2018-06-29 01:54 lurchi Note Added: 0013110
2019-02-28 11:17 Christian Grothoff Status resolved => closed